
Immediate Mode GUI app with naive visualization for elastic balls collisions.

# Build & run 

```bash
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh # install rust
cargo run --package=egui-circles                               # build & run
```

# Acknowledgments

### ImGui

Detailed information on how to use [egui](https://github.com/emilk/egui) rust library can found [here](https://egui.info/).

### Math

A simple explanation of [2D vector math](https://gitea.djmil.dev/djmil/egui-circles/wiki/raw/Collisions2D.pdf), silently working behind the scene of the collisions simulation.
